Subject: Re: [bug#34613] Acknowledgement ([PATCH] gnu: Add prometheus.)

From: Gábor Boskovits <[email-masked]>
Date: Wed, 13 Mar 2019 13:33:24 +0100

Hello,

2019. márc. 13., Sze 11:06 dátummal Ludovic Courtès <[email-masked]> ezt írta:

> Hi,
>
> Gábor Boskovits <[email-masked]> skribis:
>
> > Ludovic Courtès <[email-masked]> ezt írta (időpont: 2019. márc. 11., H,
> 23:20):
> >>
> >> Hi Gábor!
> >>
> >> Gábor Boskovits <[email-masked]> skribis:
> >
> >>
> >> Glyphicons appears to be non-free, indeed.  Could you check what Debian
> >> does, for instance?  It may be that we can just remove or replace it
> >> with something else.
> >
> > I've checked this, this is not actually included in the prometheus
> > source anywhere,
> > only copied from the influxdb license file. The only other appearance
> > of glyphicons
> > in the code is for the web interface, where it is part of bootstrap,
> > and as such it is under
> > apl2.0 there.
> >
> > I don't know if it is a problem to allow this influxdb module stub to
> > live in the source,
> > but I don't think so... (I would not consider this as a case of
> > promoting use of non-free
> > software.) Wdyt?
>
> What’s influxdb?  I’m afraid I don’t understand this sufficiently well
> to provide useful comments, but I trust you to make the right decision.
> :-)
>
Influxdb is an optional dependency, you can configure prometheus to use it
as storage. It is not included in any ways. What is included is a module
that can connect to it.

>
> The thing is, Glyphicons does seem to be non-free, so if it ends up
> being included one way or another, we have a problem.  I would have
> expected Debian to provide replacement icons or something like that.
>
In the case it is included, as part of bootstrap, it is under the apache
license, because of a special agreement, that when it is part of bootstrap
it is dual licensed to this effect. My current evaluation is that it is ok
to include the package as is.

> Thanks,
> Ludo’.